<?php


namespace Assert;

use BadMethodCallException;
class Assertion
{
    const INVALID_FLOAT = 9;
    const INVALID_INTEGER = 10;
    const INVALID_DIGIT = 11;
    const INVALID_INTEGERISH = 12;
    const INVALID_BOOLEAN = 13;
    const VALUE_EMPTY = 14;
    const VALUE_NULL = 15;
    const VALUE_NOT_NULL = 25;
    const INVALID_STRING = 16;
    const INVALID_REGEX = 17;
    const INVALID_MIN_LENGTH = 18;
    const INVALID_MAX_LENGTH = 19;
    const INVALID_STRING_START = 20;
    const INVALID_STRING_CONTAINS = 21;
    const INVALID_CHOICE = 22;
    const INVALID_NUMERIC = 23;
    const INVALID_ARRAY = 24;
    const INVALID_KEY_EXISTS = 26;
    const INVALID_NOT_BLANK = 27;
    const INVALID_INSTANCE_OF = 28;
    const INVALID_SUBCLASS_OF = 29;
    const INVALID_RANGE = 30;
    const INVALID_ALNUM = 31;
    const INVALID_TRUE = 32;
    const INVALID_EQ = 33;
    const INVALID_SAME = 34;
    const INVALID_MIN = 35;
    const INVALID_MAX = 36;
    const INVALID_LENGTH = 37;
    const INVALID_FALSE = 38;
    const INVALID_STRING_END = 39;
    const INVALID_UUID = 40;
    const INVALID_COUNT = 41;
    const INVALID_NOT_EQ = 42;
    const INVALID_NOT_SAME = 43;
    const INVALID_TRAVERSABLE = 44;
    const INVALID_ARRAY_ACCESSIBLE = 45;
    const INVALID_KEY_ISSET = 46;
    const INVALID_VALUE_IN_ARRAY = 47;
    const INVALID_E164 = 48;
    const INVALID_BASE64 = 49;
    const INVALID_DIRECTORY = 101;
    const INVALID_FILE = 102;
    const INVALID_READABLE = 103;
    const INVALID_WRITEABLE = 104;
    const INVALID_CLASS = 105;
    const INVALID_INTERFACE = 106;
    const INVALID_EMAIL = 201;
    const INTERFACE_NOT_IMPLEMENTED = 202;
    const INVALID_URL = 203;
    const INVALID_NOT_INSTANCE_OF = 204;
    const VALUE_NOT_EMPTY = 205;
    const INVALID_JSON_STRING = 206;
    const INVALID_OBJECT = 207;
    const INVALID_METHOD = 208;
    const INVALID_SCALAR = 209;
    const INVALID_LESS = 210;
    const INVALID_LESS_OR_EQUAL = 211;
    const INVALID_GREATER = 212;
    const INVALID_GREATER_OR_EQUAL = 213;
    const INVALID_DATE = 214;
    const INVALID_CALLABLE = 215;
    const INVALID_KEY_NOT_EXISTS = 216;
    const INVALID_SATISFY = 217;
    const INVALID_IP = 218;
    const INVALID_BETWEEN = 219;
    const INVALID_BETWEEN_EXCLUSIVE = 220;
    const INVALID_EXTENSION = 222;
    const INVALID_CONSTANT = 221;
    const INVALID_VERSION = 223;
    const INVALID_PROPERTY = 224;
    const INVALID_RESOURCE = 225;
    protected static $exceptionClass = "\x41\x73\163\145\x72\x74\134\111\156\x76\x61\154\x69\x64\101\x72\x67\x75\155\145\x6e\x74\105\x78\x63\145\x70\164\x69\157\x6e";
    protected static function createException($QF, $I3, $ir, $kl = null, array $Yg = array())
    {
        $gB = static::$exceptionClass;
        return new $gB($I3, $ir, $kl, $QF, $Yg);
    }
    public static function eq($QF, $ji, $I3 = null, $kl = null)
    {
        if (!($QF != $ji)) {
            goto UoU;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\x75\145\40\x22\x25\163\42\40\144\x6f\145\163\40\x6e\157\164\x20\145\161\x75\141\154\x20\x65\170\x70\x65\x63\x74\145\x64\40\x76\141\x6c\x75\x65\40\x22\x25\163\42\56"), static::stringify($QF), static::stringify($ji));
        throw static::createException($QF, $I3, static::INVALID_EQ, $kl, array("\145\x78\x70\x65\x63\164\145\144" => $ji));
        UoU:
        return true;
    }
    public static function same($QF, $ji, $I3 = null, $kl = null)
    {
        if (!($QF !== $ji)) {
            goto Yh_;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\x6c\165\145\40\42\45\x73\42\40\151\163\x20\156\x6f\164\40\164\x68\x65\x20\163\x61\155\x65\40\141\x73\x20\145\170\x70\145\143\x74\x65\144\x20\166\141\x6c\165\x65\x20\x22\x25\x73\x22\56"), static::stringify($QF), static::stringify($ji));
        throw static::createException($QF, $I3, static::INVALID_SAME, $kl, array("\x65\170\x70\x65\x63\164\x65\144" => $ji));
        Yh_:
        return true;
    }
    public static function notEq($XB, $ji, $I3 = null, $kl = null)
    {
        if (!($XB == $ji)) {
            goto J8T;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\154\165\x65\40\x22\x25\x73\x22\40\x69\x73\40\x65\161\x75\x61\x6c\x20\x74\157\40\145\x78\x70\145\x63\x74\145\144\x20\166\141\154\x75\x65\40\x22\x25\x73\42\x2e"), static::stringify($XB), static::stringify($ji));
        throw static::createException($XB, $I3, static::INVALID_NOT_EQ, $kl, array("\x65\x78\x70\x65\x63\164\x65\144" => $ji));
        J8T:
        return true;
    }
    public static function notSame($XB, $ji, $I3 = null, $kl = null)
    {
        if (!($XB === $ji)) {
            goto p2K;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\x75\x65\40\42\45\x73\42\40\x69\x73\x20\164\150\x65\40\163\x61\155\145\x20\141\x73\x20\x65\170\x70\x65\x63\x74\145\x64\40\x76\x61\154\165\x65\x20\42\x25\163\42\56"), static::stringify($XB), static::stringify($ji));
        throw static::createException($XB, $I3, static::INVALID_NOT_SAME, $kl, array("\145\x78\x70\x65\x63\164\x65\x64" => $ji));
        p2K:
        return true;
    }
    public static function notInArray($QF, array $i4, $I3 = null, $kl = null)
    {
        if (!(true === \in_array($QF, $i4))) {
            goto OGX;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\165\145\x20\42\x25\x73\42\x20\151\x73\x20\151\x6e\40\147\x69\166\145\x6e\40\x22\45\x73\x22\x2e"), static::stringify($QF), static::stringify($i4));
        throw static::createException($QF, $I3, static::INVALID_VALUE_IN_ARRAY, $kl, array("\143\150\x6f\151\x63\145\163" => $i4));
        OGX:
        return true;
    }
    public static function integer($QF, $I3 = null, $kl = null)
    {
        if (\is_int($QF)) {
            goto nGE;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\x6c\165\145\x20\42\45\163\42\40\x69\x73\x20\x6e\x6f\x74\40\141\x6e\x20\x69\156\164\x65\x67\x65\x72\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_INTEGER, $kl);
        nGE:
        return true;
    }
    public static function float($QF, $I3 = null, $kl = null)
    {
        if (\is_float($QF)) {
            goto rxf;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\x6c\165\145\x20\42\x25\163\42\40\151\163\x20\156\157\x74\40\141\40\x66\x6c\157\x61\164\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_FLOAT, $kl);
        rxf:
        return true;
    }
    public static function digit($QF, $I3 = null, $kl = null)
    {
        if (\ctype_digit((string) $QF)) {
            goto nQd;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\x61\154\165\x65\x20\42\45\x73\42\40\151\163\40\156\157\x74\40\x61\x20\144\x69\x67\151\164\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_DIGIT, $kl);
        nQd:
        return true;
    }
    public static function integerish($QF, $I3 = null, $kl = null)
    {
        if (!(\is_resource($QF) || \is_object($QF) || \is_bool($QF) || \is_null($QF) || \is_array($QF) || \is_string($QF) && '' == $QF || \strval(\intval($QF)) !== \strval($QF) && \strval(\intval($QF)) !== \strval(\ltrim($QF, "\x30")) && '' !== \strval(\intval($QF)) && '' !== \strval(\ltrim($QF, "\60")))) {
            goto NKX;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\x75\x65\40\x22\x25\x73\42\40\x69\x73\40\156\x6f\x74\x20\141\x6e\x20\151\x6e\x74\145\x67\145\x72\x20\x6f\162\x20\x61\x20\x6e\x75\155\x62\145\162\x20\143\141\x73\x74\x61\142\154\x65\x20\x74\x6f\40\x69\x6e\x74\x65\x67\x65\162\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_INTEGERISH, $kl);
        NKX:
        return true;
    }
    public static function boolean($QF, $I3 = null, $kl = null)
    {
        if (\is_bool($QF)) {
            goto gfr;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\165\145\40\42\x25\x73\42\40\151\163\x20\x6e\157\x74\x20\x61\40\142\x6f\157\154\145\141\156\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_BOOLEAN, $kl);
        gfr:
        return true;
    }
    public static function scalar($QF, $I3 = null, $kl = null)
    {
        if (\is_scalar($QF)) {
            goto MzB;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\x61\x6c\165\145\x20\42\45\x73\42\x20\x69\x73\40\156\157\164\40\141\40\163\x63\141\154\x61\x72\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_SCALAR, $kl);
        MzB:
        return true;
    }
    public static function notEmpty($QF, $I3 = null, $kl = null)
    {
        if (!empty($QF)) {
            goto JpD;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\x61\154\165\x65\x20\42\45\163\42\40\x69\x73\40\x65\x6d\x70\164\x79\54\x20\x62\x75\x74\x20\x6e\x6f\156\x20\145\155\x70\x74\171\x20\x76\x61\x6c\x75\x65\x20\167\x61\x73\x20\145\170\160\x65\143\x74\145\x64\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::VALUE_EMPTY, $kl);
        JpD:
        return true;
    }
    public static function noContent($QF, $I3 = null, $kl = null)
    {
        if (empty($QF)) {
            goto p6i;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\x61\154\165\145\x20\x22\x25\163\x22\40\x69\163\40\x6e\157\x74\x20\x65\x6d\160\164\171\x2c\40\x62\165\x74\x20\x65\155\160\x74\171\40\x76\141\x6c\165\145\x20\167\141\x73\40\x65\x78\x70\145\x63\164\x65\144\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::VALUE_NOT_EMPTY, $kl);
        p6i:
        return true;
    }
    public static function null($QF, $I3 = null, $kl = null)
    {
        if (!(null !== $QF)) {
            goto rAQ;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\x6c\165\145\40\42\45\163\42\40\151\163\x20\x6e\x6f\x74\x20\156\165\154\x6c\x2c\x20\142\x75\x74\x20\156\165\x6c\154\40\x76\x61\x6c\165\145\40\x77\x61\163\40\x65\x78\160\145\143\164\x65\144\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::VALUE_NOT_NULL, $kl);
        rAQ:
        return true;
    }
    public static function notNull($QF, $I3 = null, $kl = null)
    {
        if (!(null === $QF)) {
            goto ngs;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\165\145\40\42\45\x73\x22\x20\x69\x73\x20\156\165\154\x6c\x2c\40\x62\165\164\40\x6e\157\156\x20\156\165\154\x6c\x20\x76\x61\154\165\145\40\x77\x61\x73\40\145\170\x70\145\143\164\145\x64\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::VALUE_NULL, $kl);
        ngs:
        return true;
    }
    public static function string($QF, $I3 = null, $kl = null)
    {
        if (\is_string($QF)) {
            goto k11;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\154\165\145\40\42\x25\163\42\40\145\170\x70\145\143\x74\x65\x64\40\164\x6f\40\142\145\40\163\164\162\151\x6e\x67\54\x20\164\171\x70\x65\x20\x25\x73\40\147\151\x76\x65\x6e\x2e"), static::stringify($QF), \gettype($QF));
        throw static::createException($QF, $I3, static::INVALID_STRING, $kl);
        k11:
        return true;
    }
    public static function regex($QF, $TB, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        if (\preg_match($TB, $QF)) {
            goto gBH;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\x6c\x75\145\x20\x22\45\163\42\40\x64\157\x65\x73\40\x6e\x6f\164\40\x6d\x61\164\x63\150\x20\145\x78\160\x72\145\x73\x73\151\157\156\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_REGEX, $kl, array("\160\141\164\x74\x65\162\x6e" => $TB));
        gBH:
        return true;
    }
    public static function length($QF, $Y4, $I3 = null, $kl = null, $Nd = "\x75\x74\x66\x38")
    {
        static::string($QF, $I3, $kl);
        if (!(\mb_strlen($QF, $Nd) !== $Y4)) {
            goto GLM;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\x75\145\x20\x22\45\163\x22\x20\x68\x61\163\40\x74\x6f\40\x62\x65\40\45\144\x20\145\170\x61\143\x74\x6c\x79\x20\143\x68\x61\162\141\143\164\145\x72\x73\x20\154\157\156\x67\x2c\x20\x62\165\164\x20\x6c\145\156\x67\164\x68\40\x69\163\x20\45\x64\x2e"), static::stringify($QF), $Y4, \mb_strlen($QF, $Nd));
        throw static::createException($QF, $I3, static::INVALID_LENGTH, $kl, array("\154\x65\x6e\x67\164\150" => $Y4, "\145\156\143\x6f\144\151\156\147" => $Nd));
        GLM:
        return true;
    }
    public static function minLength($QF, $hg, $I3 = null, $kl = null, $Nd = "\x75\x74\146\x38")
    {
        static::string($QF, $I3, $kl);
        if (!(\mb_strlen($QF, $Nd) < $hg)) {
            goto YBM;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\x6c\165\145\40\x22\45\163\x22\x20\151\x73\x20\164\157\x6f\40\163\x68\x6f\162\164\x2c\40\x69\164\40\163\x68\157\x75\154\x64\x20\x68\141\166\145\40\141\164\40\x6c\x65\x61\x73\x74\x20\x25\144\x20\x63\150\141\x72\x61\x63\x74\x65\162\163\x2c\x20\142\x75\x74\40\x6f\x6e\154\171\40\x68\141\163\x20\45\x64\40\x63\150\x61\162\141\143\x74\145\x72\163\x2e"), static::stringify($QF), $hg, \mb_strlen($QF, $Nd));
        throw static::createException($QF, $I3, static::INVALID_MIN_LENGTH, $kl, array("\x6d\151\x6e\137\x6c\x65\156\147\x74\x68" => $hg, "\x65\156\143\157\x64\151\156\147" => $Nd));
        YBM:
        return true;
    }
    public static function maxLength($QF, $w6, $I3 = null, $kl = null, $Nd = "\165\x74\x66\x38")
    {
        static::string($QF, $I3, $kl);
        if (!(\mb_strlen($QF, $Nd) > $w6)) {
            goto y6g;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\x75\x65\40\42\45\x73\x22\40\x69\x73\40\164\157\x6f\40\154\157\x6e\x67\x2c\x20\x69\164\x20\x73\x68\157\x75\x6c\x64\40\x68\x61\166\x65\x20\x6e\157\40\155\157\x72\x65\x20\164\x68\x61\x6e\40\x25\x64\40\143\150\x61\x72\141\x63\x74\x65\162\x73\54\40\142\165\x74\x20\150\x61\163\40\x25\144\40\143\150\141\162\141\x63\164\145\162\163\x2e"), static::stringify($QF), $w6, \mb_strlen($QF, $Nd));
        throw static::createException($QF, $I3, static::INVALID_MAX_LENGTH, $kl, array("\x6d\x61\170\x5f\x6c\x65\156\x67\x74\x68" => $w6, "\x65\156\x63\x6f\x64\x69\156\147" => $Nd));
        y6g:
        return true;
    }
    public static function betweenLength($QF, $hg, $w6, $I3 = null, $kl = null, $Nd = "\x75\164\x66\70")
    {
        static::string($QF, $I3, $kl);
        static::minLength($QF, $hg, $I3, $kl, $Nd);
        static::maxLength($QF, $w6, $I3, $kl, $Nd);
        return true;
    }
    public static function startsWith($Zg, $WY, $I3 = null, $kl = null, $Nd = "\x75\164\x66\x38")
    {
        static::string($Zg, $I3, $kl);
        if (!(0 !== \mb_strpos($Zg, $WY, null, $Nd))) {
            goto vFt;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\x6c\165\145\40\x22\45\x73\x22\x20\x64\157\x65\x73\40\x6e\157\x74\x20\163\x74\141\162\x74\40\167\151\x74\x68\40\x22\x25\163\42\56"), static::stringify($Zg), static::stringify($WY));
        throw static::createException($Zg, $I3, static::INVALID_STRING_START, $kl, array("\156\x65\145\x64\154\x65" => $WY, "\x65\156\x63\x6f\x64\x69\x6e\147" => $Nd));
        vFt:
        return true;
    }
    public static function endsWith($Zg, $WY, $I3 = null, $kl = null, $Nd = "\165\x74\146\70")
    {
        static::string($Zg, $I3, $kl);
        $p7 = \mb_strlen($Zg, $Nd) - \mb_strlen($WY, $Nd);
        if (!(\mb_strripos($Zg, $WY, null, $Nd) !== $p7)) {
            goto Cu1;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\165\x65\x20\x22\45\x73\x22\40\x64\157\x65\x73\40\x6e\157\164\x20\145\x6e\144\40\x77\151\164\x68\40\x22\x25\x73\x22\x2e"), static::stringify($Zg), static::stringify($WY));
        throw static::createException($Zg, $I3, static::INVALID_STRING_END, $kl, array("\156\145\x65\144\154\145" => $WY, "\x65\156\x63\x6f\144\151\x6e\147" => $Nd));
        Cu1:
        return true;
    }
    public static function contains($Zg, $WY, $I3 = null, $kl = null, $Nd = "\165\x74\x66\70")
    {
        static::string($Zg, $I3, $kl);
        if (!(false === \mb_strpos($Zg, $WY, null, $Nd))) {
            goto CFY;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\x6c\165\145\40\42\45\x73\x22\x20\144\157\x65\163\40\156\x6f\164\x20\x63\157\156\x74\x61\x69\x6e\40\x22\45\163\42\56"), static::stringify($Zg), static::stringify($WY));
        throw static::createException($Zg, $I3, static::INVALID_STRING_CONTAINS, $kl, array("\x6e\145\145\x64\154\x65" => $WY, "\x65\x6e\x63\x6f\x64\x69\156\147" => $Nd));
        CFY:
        return true;
    }
    public static function choice($QF, array $i4, $I3 = null, $kl = null)
    {
        if (\in_array($QF, $i4, true)) {
            goto jli;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\x6c\x75\x65\40\x22\45\x73\42\x20\151\163\40\x6e\157\164\40\141\156\40\x65\154\145\155\145\156\164\x20\157\x66\x20\x74\x68\145\40\166\x61\x6c\151\144\40\166\141\x6c\x75\145\x73\72\40\x25\163"), static::stringify($QF), \implode("\54\40", \array_map(array(\get_called_class(), "\163\x74\162\x69\x6e\x67\151\146\171"), $i4)));
        throw static::createException($QF, $I3, static::INVALID_CHOICE, $kl, array("\x63\x68\157\151\x63\x65\163" => $i4));
        jli:
        return true;
    }
    public static function inArray($QF, array $i4, $I3 = null, $kl = null)
    {
        return static::choice($QF, $i4, $I3, $kl);
    }
    public static function numeric($QF, $I3 = null, $kl = null)
    {
        if (\is_numeric($QF)) {
            goto F9D;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\154\165\145\x20\x22\x25\163\42\x20\151\x73\x20\x6e\x6f\164\40\156\165\155\145\x72\151\143\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_NUMERIC, $kl);
        F9D:
        return true;
    }
    public static function isResource($QF, $I3 = null, $kl = null)
    {
        if (\is_resource($QF)) {
            goto qVp;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\165\145\x20\42\45\163\x22\40\151\x73\40\x6e\157\x74\x20\141\x20\162\x65\x73\x6f\x75\x72\143\x65\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_RESOURCE, $kl);
        qVp:
        return true;
    }
    public static function isArray($QF, $I3 = null, $kl = null)
    {
        if (\is_array($QF)) {
            goto mVv;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\x6c\165\x65\x20\x22\45\163\42\x20\x69\163\40\156\x6f\x74\40\x61\156\x20\x61\x72\x72\141\x79\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_ARRAY, $kl);
        mVv:
        return true;
    }
    public static function isTraversable($QF, $I3 = null, $kl = null)
    {
        if (!(!\is_array($QF) && !$QF instanceof \Traversable)) {
            goto Ztl;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\154\x75\145\40\42\45\163\x22\40\151\163\x20\x6e\x6f\x74\40\141\156\40\x61\162\x72\141\x79\x20\141\156\x64\40\144\x6f\x65\x73\x20\x6e\x6f\164\x20\x69\155\x70\x6c\145\155\145\x6e\x74\40\124\162\x61\x76\145\x72\x73\141\x62\x6c\x65\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_TRAVERSABLE, $kl);
        Ztl:
        return true;
    }
    public static function isArrayAccessible($QF, $I3 = null, $kl = null)
    {
        if (!(!\is_array($QF) && !$QF instanceof \ArrayAccess)) {
            goto EFW;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\x75\145\x20\42\x25\163\x22\x20\151\163\40\156\x6f\x74\x20\x61\156\40\x61\162\x72\x61\x79\40\x61\x6e\x64\x20\144\157\145\x73\x20\156\x6f\x74\x20\151\x6d\160\154\x65\x6d\x65\156\x74\x20\x41\x72\162\x61\171\x41\143\x63\145\x73\163\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_ARRAY_ACCESSIBLE, $kl);
        EFW:
        return true;
    }
    public static function keyExists($QF, $gy, $I3 = null, $kl = null)
    {
        static::isArray($QF, $I3, $kl);
        if (\array_key_exists($gy, $QF)) {
            goto ui7;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x41\x72\162\141\171\x20\x64\157\145\x73\40\156\x6f\164\40\x63\x6f\x6e\x74\141\x69\x6e\x20\x61\156\x20\145\154\145\x6d\145\156\164\x20\x77\x69\x74\150\x20\153\x65\171\40\42\45\x73\x22"), static::stringify($gy));
        throw static::createException($QF, $I3, static::INVALID_KEY_EXISTS, $kl, array("\x6b\145\x79" => $gy));
        ui7:
        return true;
    }
    public static function keyNotExists($QF, $gy, $I3 = null, $kl = null)
    {
        static::isArray($QF, $I3, $kl);
        if (!\array_key_exists($gy, $QF)) {
            goto H6b;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\101\x72\x72\x61\171\40\x63\157\156\164\141\x69\156\163\x20\x61\156\x20\x65\x6c\145\x6d\x65\156\x74\x20\167\151\x74\150\40\153\145\x79\40\x22\45\x73\42"), static::stringify($gy));
        throw static::createException($QF, $I3, static::INVALID_KEY_NOT_EXISTS, $kl, array("\x6b\145\171" => $gy));
        H6b:
        return true;
    }
    public static function keyIsset($QF, $gy, $I3 = null, $kl = null)
    {
        static::isArrayAccessible($QF, $I3, $kl);
        if (isset($QF[$gy])) {
            goto CP6;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x54\x68\145\40\x65\x6c\145\x6d\145\x6e\x74\x20\x77\x69\164\150\x20\153\145\171\x20\x22\45\x73\x22\40\x77\x61\x73\x20\x6e\x6f\164\x20\x66\x6f\165\x6e\144"), static::stringify($gy));
        throw static::createException($QF, $I3, static::INVALID_KEY_ISSET, $kl, array("\153\x65\x79" => $gy));
        CP6:
        return true;
    }
    public static function notEmptyKey($QF, $gy, $I3 = null, $kl = null)
    {
        static::keyIsset($QF, $gy, $I3, $kl);
        static::notEmpty($QF[$gy], $I3, $kl);
        return true;
    }
    public static function notBlank($QF, $I3 = null, $kl = null)
    {
        if (!(false === $QF || empty($QF) && "\x30" != $QF || \is_string($QF) && '' === \trim($QF))) {
            goto gs0;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\x6c\x75\145\x20\42\45\x73\42\x20\x69\163\40\x62\x6c\141\156\x6b\x2c\x20\142\165\x74\x20\x77\141\x73\x20\x65\x78\x70\145\x63\x74\x65\144\x20\164\x6f\40\143\x6f\x6e\164\141\151\x6e\x20\x61\x20\x76\141\x6c\x75\x65\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_NOT_BLANK, $kl);
        gs0:
        return true;
    }
    public static function isInstanceOf($QF, $ui, $I3 = null, $kl = null)
    {
        if ($QF instanceof $ui) {
            goto vhg;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\103\154\x61\163\x73\40\x22\x25\163\x22\40\x77\x61\163\x20\x65\170\160\x65\143\164\145\x64\40\164\x6f\x20\142\145\x20\151\156\x73\164\141\156\143\x65\x6f\146\40\x6f\146\40\x22\45\163\42\x20\142\x75\164\x20\x69\163\40\156\x6f\x74\56"), static::stringify($QF), $ui);
        throw static::createException($QF, $I3, static::INVALID_INSTANCE_OF, $kl, array("\143\x6c\x61\x73\163" => $ui));
        vhg:
        return true;
    }
    public static function notIsInstanceOf($QF, $ui, $I3 = null, $kl = null)
    {
        if (!$QF instanceof $ui) {
            goto mAs;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x43\154\x61\x73\x73\40\42\x25\x73\x22\40\167\x61\x73\x20\156\157\164\40\145\170\x70\145\x63\x74\145\144\40\x74\x6f\x20\142\x65\40\x69\156\163\164\x61\156\143\145\157\x66\x20\x6f\x66\x20\x22\45\163\42\56"), static::stringify($QF), $ui);
        throw static::createException($QF, $I3, static::INVALID_NOT_INSTANCE_OF, $kl, array("\143\x6c\141\163\x73" => $ui));
        mAs:
        return true;
    }
    public static function subclassOf($QF, $ui, $I3 = null, $kl = null)
    {
        if (\is_subclass_of($QF, $ui)) {
            goto bR2;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x43\x6c\x61\163\163\40\42\45\163\42\x20\x77\141\163\x20\x65\x78\x70\145\143\x74\x65\144\x20\164\x6f\40\x62\145\40\x73\x75\142\143\154\x61\x73\163\x20\x6f\x66\x20\42\x25\x73\x22\56"), static::stringify($QF), $ui);
        throw static::createException($QF, $I3, static::INVALID_SUBCLASS_OF, $kl, array("\143\154\141\x73\x73" => $ui));
        bR2:
        return true;
    }
    public static function range($QF, $jb, $AR, $I3 = null, $kl = null)
    {
        static::numeric($QF, $I3, $kl);
        if (!($QF < $jb || $QF > $AR)) {
            goto L1M;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x4e\x75\x6d\142\x65\162\40\x22\x25\x73\x22\40\167\141\163\40\145\170\160\x65\x63\x74\145\144\x20\164\157\40\142\145\40\141\x74\40\154\145\x61\163\x74\x20\x22\45\144\42\x20\x61\156\144\x20\141\x74\40\x6d\x6f\x73\164\40\42\x25\x64\42\56"), static::stringify($QF), static::stringify($jb), static::stringify($AR));
        throw static::createException($QF, $I3, static::INVALID_RANGE, $kl, array("\155\151\156" => $jb, "\155\x61\x78" => $AR));
        L1M:
        return true;
    }
    public static function min($QF, $jb, $I3 = null, $kl = null)
    {
        static::numeric($QF, $I3, $kl);
        if (!($QF < $jb)) {
            goto UXE;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\116\x75\x6d\x62\145\x72\40\x22\x25\163\x22\40\x77\141\x73\x20\x65\x78\x70\x65\x63\164\x65\x64\40\x74\x6f\40\142\145\40\x61\164\x20\154\x65\x61\x73\x74\x20\x22\x25\163\42\x2e"), static::stringify($QF), static::stringify($jb));
        throw static::createException($QF, $I3, static::INVALID_MIN, $kl, array("\155\x69\156" => $jb));
        UXE:
        return true;
    }
    public static function max($QF, $AR, $I3 = null, $kl = null)
    {
        static::numeric($QF, $I3, $kl);
        if (!($QF > $AR)) {
            goto hcb;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x4e\165\x6d\x62\x65\x72\x20\x22\45\163\x22\x20\x77\x61\x73\x20\145\170\160\145\x63\164\x65\x64\x20\164\157\40\142\145\x20\141\x74\x20\x6d\157\163\164\x20\42\x25\163\x22\x2e"), static::stringify($QF), static::stringify($AR));
        throw static::createException($QF, $I3, static::INVALID_MAX, $kl, array("\x6d\141\x78" => $AR));
        hcb:
        return true;
    }
    public static function file($QF, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        static::notEmpty($QF, $I3, $kl);
        if (\is_file($QF)) {
            goto vDB;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\106\151\154\x65\x20\42\x25\x73\42\40\167\141\163\x20\145\x78\x70\x65\x63\164\x65\144\x20\164\157\40\145\x78\x69\x73\x74\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_FILE, $kl);
        vDB:
        return true;
    }
    public static function directory($QF, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        if (\is_dir($QF)) {
            goto bIU;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\x61\x74\x68\x20\42\x25\x73\42\40\x77\141\163\40\145\x78\160\x65\x63\x74\145\x64\x20\164\x6f\40\x62\x65\40\141\x20\x64\151\162\145\x63\164\157\162\x79\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_DIRECTORY, $kl);
        bIU:
        return true;
    }
    public static function readable($QF, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        if (\is_readable($QF)) {
            goto t7k;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\x61\164\150\x20\42\x25\x73\x22\x20\167\x61\x73\40\145\170\x70\x65\x63\164\x65\x64\x20\164\x6f\x20\x62\145\40\x72\145\x61\144\x61\142\x6c\145\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_READABLE, $kl);
        t7k:
        return true;
    }
    public static function writeable($QF, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        if (\is_writable($QF)) {
            goto kx8;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x50\141\x74\x68\40\42\x25\163\42\x20\x77\141\163\x20\145\x78\160\x65\x63\164\145\x64\x20\x74\157\40\x62\145\x20\167\x72\x69\x74\145\141\x62\154\145\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_WRITEABLE, $kl);
        kx8:
        return true;
    }
    public static function email($QF, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        if (!\filter_var($QF, FILTER_VALIDATE_EMAIL)) {
            goto gju;
        }
        $IY = \substr($QF, \strpos($QF, "\x40") + 1);
        if (!(\version_compare(PHP_VERSION, "\65\x2e\x33\56\63", "\74") && false === \strpos($IY, "\x2e"))) {
            goto RVi;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\154\x75\x65\x20\x22\x25\x73\x22\40\167\141\x73\40\x65\170\160\x65\x63\164\x65\144\x20\x74\157\x20\x62\145\40\141\40\166\141\x6c\151\x64\x20\x65\55\155\x61\151\154\40\141\144\x64\162\x65\x73\x73\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_EMAIL, $kl);
        RVi:
        goto sel;
        gju:
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\x75\145\x20\x22\x25\163\x22\40\167\141\x73\x20\145\170\x70\x65\143\x74\x65\144\40\164\157\40\x62\145\x20\x61\x20\166\x61\154\x69\x64\x20\x65\55\x6d\x61\x69\154\40\x61\x64\144\x72\145\x73\163\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_EMAIL, $kl);
        sel:
        return true;
    }
    public static function url($QF, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        $ye = array("\150\164\x74\x70", "\150\164\164\x70\x73");
        $TB = "\176\136\xa\40\x20\x20\40\x20\x20\40\x20\40\40\x20\40\50\x25\x73\51\72\x2f\x2f\40\40\x20\40\x20\40\x20\40\40\40\x20\40\x20\x20\x20\x20\x20\40\x20\40\x20\x20\40\x20\40\x20\40\40\40\x20\x20\x20\40\x20\40\x20\x20\43\x20\x70\x72\157\164\x6f\x63\157\154\xa\x20\40\40\40\40\40\40\40\40\40\40\40\50\x28\133\134\56\x5c\x70\x4c\x5c\160\116\55\x5d\53\x3a\51\x3f\x28\x5b\134\56\x5c\x70\x4c\134\160\x4e\x2d\x5d\53\x29\x40\x29\77\x20\40\40\x20\40\40\x20\x20\x20\40\x23\x20\x62\141\x73\x69\x63\40\x61\165\x74\150\xa\40\40\40\40\x20\x20\x20\x20\x20\x20\x20\x20\50\xa\40\40\40\40\40\x20\40\40\x20\40\x20\x20\x20\x20\40\x20\50\x5b\x5c\x70\114\x5c\x70\116\134\x70\x53\x2d\x5c\x2e\x5d\x29\53\50\134\x2e\x3f\50\x5b\134\160\x4c\134\x70\x4e\135\174\x78\x6e\x5c\x2d\134\x2d\x5b\x5c\x70\114\134\160\116\55\x5d\53\x29\53\x5c\x2e\77\51\x20\x23\x20\141\x20\x64\x6f\x6d\141\x69\x6e\40\x6e\x61\155\x65\12\40\x20\x20\40\40\x20\x20\x20\x20\40\40\40\x20\x20\x20\x20\40\x20\40\x20\x7c\x20\x20\40\40\40\40\40\x20\x20\40\40\x20\x20\40\40\40\x20\x20\x20\40\40\x20\x20\x20\40\40\x20\x20\x20\40\x20\40\x20\40\40\40\x20\40\x20\x20\x20\40\40\x20\40\x20\x20\40\x20\x23\x20\157\162\xa\x20\x20\x20\40\40\x20\x20\x20\x20\40\40\40\x20\40\40\40\x5c\x64\x7b\61\x2c\63\x7d\x5c\x2e\x5c\x64\x7b\61\54\63\175\134\56\134\x64\173\x31\54\63\175\x5c\x2e\x5c\144\173\61\54\x33\x7d\40\40\40\40\x20\x20\x20\x20\x20\40\x20\40\x20\x20\x20\40\40\x20\40\x20\x23\40\141\156\x20\111\x50\40\141\144\x64\x72\x65\163\163\12\x20\x20\x20\x20\40\40\x20\40\40\40\40\x20\40\x20\x20\40\x20\x20\x20\x20\x7c\40\x20\40\x20\x20\40\40\x20\x20\40\40\x20\40\x20\40\x20\x20\40\x20\40\x20\40\x20\x20\x20\40\x20\x20\40\x20\x20\40\x20\40\40\x20\40\40\x20\40\x20\x20\x20\40\x20\x20\x20\x20\x20\x23\40\x6f\162\xa\40\x20\x20\x20\40\x20\x20\40\40\40\x20\x20\40\x20\x20\40\x5c\133\xa\40\x20\40\x20\40\40\40\x20\x20\x20\40\x20\40\40\x20\40\40\x20\40\x20\x28\x3f\72\50\x3f\x3a\50\x3f\x3a\x28\x3f\72\x28\x3f\x3a\50\x3f\x3a\50\x3f\72\x5b\60\55\71\141\x2d\x66\x5d\173\x31\54\64\x7d\51\51\72\51\x7b\66\x7d\x29\50\77\x3a\x28\x3f\72\x28\x3f\x3a\50\x3f\x3a\50\x3f\x3a\133\60\55\x39\141\55\146\135\x7b\x31\54\64\175\x29\51\x3a\50\x3f\x3a\50\x3f\x3a\x5b\60\x2d\x39\x61\x2d\x66\135\x7b\61\x2c\x34\x7d\51\51\x29\174\50\77\72\50\77\x3a\50\x3f\x3a\x28\x3f\x3a\50\77\72\x32\65\133\x30\55\x35\135\x7c\50\x3f\72\133\61\x2d\x39\x5d\174\61\133\60\x2d\x39\x5d\174\x32\x5b\60\55\64\x5d\51\x3f\x5b\60\x2d\x39\x5d\51\x29\134\56\51\x7b\x33\x7d\x28\77\x3a\50\77\x3a\x32\65\x5b\60\55\65\x5d\x7c\50\77\72\133\61\55\x39\x5d\x7c\x31\x5b\x30\55\x39\135\x7c\x32\133\x30\55\64\135\51\x3f\133\60\x2d\x39\135\x29\x29\x29\x29\51\51\x29\174\50\77\x3a\x28\x3f\x3a\72\x3a\x28\x3f\x3a\50\x3f\72\x28\77\72\133\x30\x2d\x39\141\x2d\146\x5d\173\x31\x2c\64\x7d\x29\x29\x3a\x29\173\65\x7d\x29\x28\77\72\50\77\72\50\x3f\x3a\50\77\x3a\x28\77\x3a\x5b\60\55\x39\141\55\x66\x5d\173\x31\x2c\64\x7d\51\51\x3a\x28\x3f\x3a\x28\77\x3a\x5b\60\x2d\71\x61\55\146\135\x7b\61\x2c\64\x7d\x29\51\51\174\50\77\72\50\x3f\x3a\50\77\72\x28\x3f\72\50\77\x3a\x32\65\x5b\60\x2d\x35\135\x7c\50\x3f\72\133\x31\55\x39\x5d\174\x31\133\x30\x2d\71\135\x7c\x32\133\x30\x2d\64\135\51\x3f\x5b\60\55\71\135\51\x29\x5c\x2e\51\x7b\63\175\50\x3f\72\x28\77\x3a\62\x35\133\60\x2d\65\135\174\50\77\72\x5b\x31\x2d\71\135\x7c\x31\133\x30\55\71\135\174\62\133\x30\55\x34\135\x29\x3f\133\x30\55\x39\135\51\x29\51\x29\x29\x29\x29\174\50\x3f\72\x28\77\x3a\x28\77\x3a\50\x3f\x3a\50\x3f\x3a\133\60\x2d\x39\141\55\146\x5d\173\61\54\x34\175\51\x29\x29\77\x3a\x3a\x28\x3f\72\50\77\72\x28\77\72\x5b\x30\x2d\71\x61\x2d\146\x5d\x7b\61\x2c\x34\175\51\51\72\x29\173\64\x7d\51\x28\77\x3a\x28\x3f\72\x28\77\x3a\50\x3f\72\x28\77\x3a\133\60\55\x39\x61\55\146\135\173\x31\54\x34\175\x29\51\x3a\x28\77\72\50\x3f\72\133\60\55\71\141\x2d\146\x5d\173\61\54\64\175\51\51\x29\174\50\77\x3a\50\77\72\x28\77\x3a\x28\x3f\x3a\x28\77\72\62\x35\x5b\x30\55\x35\135\174\50\77\x3a\x5b\x31\x2d\71\x5d\174\x31\x5b\x30\x2d\71\135\174\62\x5b\x30\x2d\64\135\x29\x3f\x5b\x30\x2d\x39\x5d\51\51\134\x2e\x29\173\x33\175\50\x3f\72\x28\77\x3a\62\65\x5b\60\x2d\x35\x5d\174\50\x3f\x3a\x5b\x31\55\x39\x5d\174\x31\x5b\x30\55\x39\x5d\x7c\x32\133\60\55\x34\135\51\77\x5b\x30\x2d\71\135\x29\51\51\x29\51\x29\x29\174\x28\77\72\50\77\72\50\x3f\72\50\77\x3a\x28\77\x3a\50\77\x3a\133\x30\55\x39\141\x2d\146\135\173\x31\54\x34\175\51\51\72\51\x7b\x30\54\x31\x7d\x28\77\72\x28\x3f\x3a\133\60\55\x39\x61\x2d\x66\135\173\x31\54\x34\x7d\x29\x29\51\x3f\x3a\72\50\x3f\72\50\77\72\x28\77\x3a\133\60\55\71\141\55\146\x5d\173\61\x2c\x34\x7d\x29\x29\x3a\51\x7b\63\x7d\x29\50\77\72\x28\77\72\x28\77\72\x28\x3f\72\x28\77\72\x5b\60\55\x39\x61\55\x66\135\173\61\x2c\x34\175\x29\x29\x3a\x28\77\x3a\50\x3f\x3a\133\60\55\71\141\x2d\x66\135\x7b\x31\54\64\x7d\x29\51\x29\x7c\x28\77\x3a\x28\x3f\x3a\x28\77\x3a\50\77\x3a\x28\77\72\62\x35\133\60\x2d\x35\x5d\x7c\50\x3f\72\133\x31\55\x39\x5d\x7c\61\x5b\x30\55\x39\x5d\174\x32\133\60\x2d\x34\135\51\x3f\133\x30\x2d\x39\135\x29\51\x5c\x2e\x29\x7b\63\175\50\77\x3a\x28\77\x3a\x32\x35\133\60\55\x35\135\x7c\50\x3f\x3a\133\61\55\71\135\174\x31\133\x30\x2d\x39\135\x7c\62\x5b\60\55\64\x5d\x29\77\133\60\x2d\71\x5d\x29\x29\x29\51\x29\51\51\174\x28\77\x3a\50\77\x3a\x28\77\72\x28\x3f\72\x28\77\x3a\50\x3f\72\133\x30\x2d\71\x61\55\x66\x5d\173\x31\54\64\x7d\x29\x29\x3a\x29\x7b\x30\x2c\x32\x7d\50\x3f\72\50\x3f\x3a\133\60\x2d\x39\x61\55\146\135\x7b\x31\x2c\64\x7d\x29\51\51\x3f\x3a\72\50\x3f\72\50\77\x3a\x28\x3f\x3a\133\x30\x2d\x39\x61\55\x66\135\173\61\x2c\64\175\51\x29\x3a\51\173\62\175\51\x28\x3f\x3a\x28\x3f\x3a\50\x3f\72\50\77\72\50\77\72\133\60\x2d\71\x61\55\x66\135\x7b\x31\54\x34\x7d\x29\x29\72\x28\x3f\72\50\x3f\72\x5b\x30\x2d\x39\141\x2d\x66\x5d\x7b\61\54\64\175\51\x29\x29\x7c\x28\x3f\x3a\50\x3f\x3a\x28\77\72\x28\x3f\x3a\50\x3f\72\62\x35\133\60\x2d\x35\x5d\174\x28\x3f\72\x5b\x31\55\71\135\174\x31\133\60\55\71\x5d\174\x32\133\x30\x2d\x34\x5d\51\x3f\x5b\60\x2d\x39\x5d\x29\51\134\x2e\x29\173\x33\x7d\50\77\72\x28\77\72\62\x35\x5b\x30\55\65\x5d\x7c\50\77\72\133\x31\x2d\x39\x5d\174\x31\x5b\x30\x2d\71\135\174\62\133\x30\x2d\x34\135\x29\77\x5b\60\55\x39\135\51\51\51\x29\x29\51\x29\x7c\x28\77\x3a\50\x3f\72\x28\x3f\72\x28\77\72\x28\x3f\x3a\x28\77\72\133\60\55\71\141\55\146\x5d\x7b\x31\54\x34\175\x29\51\x3a\51\x7b\x30\x2c\63\175\x28\77\x3a\x28\77\x3a\x5b\60\x2d\71\141\x2d\146\135\x7b\61\x2c\64\x7d\x29\51\x29\x3f\x3a\x3a\50\x3f\x3a\x28\x3f\72\x5b\60\x2d\71\141\x2d\x66\135\x7b\61\x2c\64\x7d\x29\x29\x3a\x29\50\77\72\50\x3f\72\x28\x3f\x3a\50\77\72\50\77\x3a\x5b\60\55\x39\x61\x2d\146\135\173\61\x2c\x34\x7d\51\51\x3a\50\77\x3a\50\x3f\72\133\60\55\71\141\55\x66\135\173\x31\x2c\x34\175\x29\x29\51\x7c\x28\x3f\x3a\50\x3f\x3a\x28\77\x3a\50\x3f\72\x28\77\x3a\x32\x35\x5b\60\55\x35\135\x7c\x28\x3f\72\x5b\61\55\71\x5d\174\61\x5b\60\x2d\71\135\174\x32\133\60\x2d\64\135\x29\x3f\x5b\60\55\x39\x5d\x29\x29\x5c\56\x29\173\63\175\50\x3f\72\x28\x3f\x3a\x32\65\x5b\x30\x2d\65\135\x7c\x28\77\x3a\133\61\x2d\x39\135\174\x31\x5b\60\55\x39\135\x7c\x32\133\60\x2d\64\135\51\77\x5b\60\55\x39\135\51\x29\x29\x29\x29\51\51\174\50\77\72\50\77\72\50\x3f\x3a\x28\x3f\72\x28\77\72\50\x3f\72\x5b\x30\x2d\x39\141\55\146\x5d\x7b\61\x2c\64\175\51\x29\x3a\x29\x7b\x30\x2c\x34\x7d\50\77\x3a\x28\77\72\133\60\55\71\141\55\x66\x5d\x7b\61\x2c\64\x7d\51\x29\51\77\x3a\72\51\x28\77\x3a\50\x3f\72\x28\77\x3a\50\77\x3a\x28\x3f\x3a\133\x30\x2d\71\141\x2d\146\x5d\x7b\61\54\x34\x7d\51\x29\x3a\50\x3f\72\50\x3f\x3a\133\60\x2d\71\141\x2d\x66\135\x7b\61\54\64\x7d\51\x29\x29\174\50\77\x3a\x28\x3f\72\50\77\x3a\x28\x3f\72\50\77\x3a\62\x35\133\60\55\65\x5d\174\x28\x3f\72\x5b\61\x2d\x39\135\174\61\x5b\60\x2d\71\135\x7c\x32\133\x30\55\x34\x5d\51\77\x5b\x30\x2d\71\135\51\51\134\56\51\173\63\175\50\x3f\x3a\50\x3f\x3a\x32\x35\133\x30\x2d\65\135\x7c\x28\77\72\133\61\55\71\135\x7c\61\133\60\55\71\135\x7c\x32\x5b\60\55\64\x5d\51\x3f\x5b\x30\x2d\x39\135\51\51\51\51\x29\51\x29\174\x28\x3f\72\50\x3f\x3a\x28\x3f\72\50\77\72\x28\x3f\x3a\50\77\72\133\60\x2d\x39\x61\x2d\146\x5d\173\x31\x2c\x34\x7d\x29\x29\x3a\51\173\60\x2c\x35\175\50\77\72\x28\x3f\x3a\133\60\x2d\71\141\55\x66\x5d\173\x31\54\64\x7d\x29\x29\x29\x3f\72\x3a\x29\x28\x3f\x3a\50\x3f\72\x5b\x30\55\71\x61\55\x66\135\x7b\61\54\64\x7d\x29\51\x29\174\50\77\x3a\50\77\72\50\x3f\x3a\50\77\x3a\50\77\x3a\x28\77\72\133\60\55\x39\141\x2d\146\x5d\x7b\61\x2c\x34\x7d\51\51\72\51\x7b\x30\x2c\x36\175\x28\x3f\72\x28\x3f\x3a\133\60\x2d\x39\141\x2d\146\x5d\173\61\54\x34\x7d\51\x29\x29\x3f\72\72\x29\51\x29\x29\12\40\x20\40\40\40\x20\x20\40\40\x20\x20\x20\40\x20\x20\40\x5c\135\x20\40\43\x20\x61\x6e\40\111\x50\x76\x36\x20\141\144\x64\x72\x65\163\163\12\x20\40\x20\40\40\x20\x20\40\40\40\40\x20\51\12\x20\40\x20\x20\40\x20\x20\x20\x20\x20\x20\x20\50\x3a\x5b\60\55\x39\135\x2b\51\x3f\40\x20\40\40\x20\x20\40\x20\40\40\x20\x20\40\x20\x20\40\x20\x20\x20\x20\40\x20\40\x20\40\x20\40\40\x20\x20\43\40\141\40\x70\x6f\x72\x74\x20\50\157\160\x74\151\x6f\156\141\154\x29\12\40\40\40\x20\40\x20\40\x20\x20\40\x20\40\x28\57\x3f\x7c\x2f\x5c\x53\53\x7c\x5c\77\x5c\123\x2a\174\x5c\43\x5c\123\52\x29\x20\40\40\40\x20\40\40\40\40\40\40\40\40\40\x20\40\x20\40\x20\x23\40\x61\x20\x2f\x2c\x20\x6e\157\x74\150\151\156\x67\54\40\141\40\x2f\x20\167\151\164\x68\x20\x73\157\155\x65\x74\x68\x69\x6e\x67\x2c\40\141\x20\161\x75\x65\x72\171\40\157\x72\x20\x61\x20\x66\162\x61\147\x6d\x65\x6e\164\12\x20\40\40\x20\40\x20\40\40\x24\176\x69\x78\x75";
        $TB = \sprintf($TB, \implode("\x7c", $ye));
        if (\preg_match($TB, $QF)) {
            goto Lvg;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\x6c\x75\x65\40\x22\45\163\x22\40\167\x61\163\40\145\170\160\145\143\x74\x65\x64\40\164\x6f\x20\142\x65\40\x61\x20\x76\x61\154\151\144\40\125\122\x4c\40\163\x74\141\x72\x74\151\x6e\147\40\167\x69\164\x68\40\150\164\164\160\40\157\162\x20\x68\x74\x74\x70\163"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_URL, $kl);
        Lvg:
        return true;
    }
    public static function alnum($QF, $I3 = null, $kl = null)
    {
        try {
            static::regex($QF, "\50\136\x28\x5b\141\x2d\172\101\55\132\x5d\x7b\61\175\x5b\x61\x2d\x7a\101\55\132\60\x2d\71\135\52\x29\44\51", $I3, $kl);
        } catch (AssertionFailedException $aN) {
            $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\x6c\165\145\x20\42\45\x73\42\x20\x69\163\40\x6e\157\164\40\141\154\160\150\x61\156\x75\x6d\145\x72\151\x63\x2c\40\163\164\141\162\x74\151\x6e\147\40\x77\x69\x74\150\x20\x6c\145\164\x74\145\162\163\40\x61\156\144\40\143\157\x6e\x74\x61\x69\156\x69\156\x67\40\157\x6e\154\171\40\154\145\x74\x74\x65\162\163\40\141\x6e\x64\x20\x6e\x75\155\x62\x65\162\163\56"), static::stringify($QF));
            throw static::createException($QF, $I3, static::INVALID_ALNUM, $kl);
        }
        return true;
    }
    public static function true($QF, $I3 = null, $kl = null)
    {
        if (!(true !== $QF)) {
            goto SdQ;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\x61\154\165\145\x20\42\45\x73\x22\x20\151\163\x20\x6e\x6f\164\40\x54\122\x55\x45\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_TRUE, $kl);
        SdQ:
        return true;
    }
    public static function false($QF, $I3 = null, $kl = null)
    {
        if (!(false !== $QF)) {
            goto Ld4;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\165\145\x20\x22\45\163\42\x20\x69\163\40\x6e\x6f\164\40\106\101\x4c\x53\x45\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_FALSE, $kl);
        Ld4:
        return true;
    }
    public static function classExists($QF, $I3 = null, $kl = null)
    {
        if (\class_exists($QF)) {
            goto Ja6;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x43\154\141\x73\x73\40\x22\x25\x73\x22\x20\x64\x6f\x65\163\x20\156\x6f\164\40\x65\170\x69\163\x74\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_CLASS, $kl);
        Ja6:
        return true;
    }
    public static function interfaceExists($QF, $I3 = null, $kl = null)
    {
        if (\interface_exists($QF)) {
            goto uHM;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\111\x6e\164\x65\x72\x66\x61\143\145\x20\x22\x25\x73\x22\40\144\157\145\x73\40\156\157\164\x20\145\x78\x69\x73\164\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_INTERFACE, $kl);
        uHM:
        return true;
    }
    public static function implementsInterface($Th, $Bf, $I3 = null, $kl = null)
    {
        $G8 = new \ReflectionClass($Th);
        if ($G8->implementsInterface($Bf)) {
            goto erD;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\103\x6c\141\x73\x73\40\42\x25\x73\x22\40\144\x6f\145\163\x20\x6e\157\x74\x20\151\x6d\x70\154\x65\x6d\145\x6e\164\x20\x69\x6e\x74\145\x72\146\x61\x63\x65\x20\x22\45\163\42\56"), static::stringify($Th), static::stringify($Bf));
        throw static::createException($Th, $I3, static::INTERFACE_NOT_IMPLEMENTED, $kl, array("\x69\156\164\x65\162\x66\x61\143\145" => $Bf));
        erD:
        return true;
    }
    public static function isJsonString($QF, $I3 = null, $kl = null)
    {
        if (!(null === \json_decode($QF) && JSON_ERROR_NONE !== \json_last_error())) {
            goto dMD;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\165\145\40\x22\x25\x73\42\40\151\x73\x20\x6e\157\164\x20\141\x20\166\x61\x6c\x69\144\40\112\123\x4f\x4e\x20\163\164\162\x69\x6e\x67\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_JSON_STRING, $kl);
        dMD:
        return true;
    }
    public static function uuid($QF, $I3 = null, $kl = null)
    {
        $QF = \str_replace(array("\165\x72\156\x3a", "\165\165\x69\x64\x3a", "\x7b", "\x7d"), '', $QF);
        if (!("\60\x30\60\x30\x30\60\60\x30\x2d\60\60\60\60\55\60\x30\x30\x30\x2d\60\x30\x30\60\55\60\x30\60\x30\x30\60\60\x30\60\x30\60\60" === $QF)) {
            goto sbb;
        }
        return true;
        sbb:
        if (\preg_match("\57\136\x5b\x30\55\71\x41\55\106\141\55\146\x5d\x7b\x38\175\x2d\133\60\x2d\x39\101\55\x46\x61\55\x66\135\x7b\64\x7d\x2d\x5b\x30\x2d\x39\101\55\106\x61\55\146\135\x7b\64\175\55\x5b\60\x2d\71\x41\55\x46\141\x2d\x66\x5d\173\64\x7d\x2d\133\60\55\71\x41\55\106\x61\x2d\146\135\x7b\61\62\x7d\x24\x2f", $QF)) {
            goto Ewe;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\165\x65\40\42\45\163\42\x20\151\x73\40\156\x6f\x74\40\141\40\x76\141\154\151\x64\x20\x55\125\x49\104\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_UUID, $kl);
        Ewe:
        return true;
    }
    public static function e164($QF, $I3 = null, $kl = null)
    {
        if (\preg_match("\x2f\x5e\134\53\77\x5b\61\55\71\135\134\144\x7b\61\x2c\61\64\x7d\x24\57", $QF)) {
            goto mVB;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\141\154\165\x65\40\x22\45\163\42\x20\151\x73\40\x6e\157\x74\x20\x61\x20\x76\141\x6c\x69\144\40\105\x31\x36\64\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_E164, $kl);
        mVB:
        return true;
    }
    public static function count($mz, $kJ, $I3 = null, $kl = null)
    {
        if (!($kJ !== \count($mz))) {
            goto tsF;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\114\151\x73\x74\40\144\x6f\x65\163\40\156\x6f\164\x20\143\x6f\156\164\141\151\156\x20\x65\170\141\143\164\x6c\171\40\45\144\40\145\x6c\145\155\x65\156\x74\x73\40\50\45\x64\x20\147\x69\x76\x65\156\51\56"), static::stringify($kJ), static::stringify(\count($mz)));
        throw static::createException($mz, $I3, static::INVALID_COUNT, $kl, array("\x63\x6f\x75\156\x74" => $kJ));
        tsF:
        return true;
    }
    public static function __callStatic($ya, $wM)
    {
        if (!(0 === \strpos($ya, "\156\x75\x6c\154\x4f\162"))) {
            goto nYo;
        }
        if (\array_key_exists(0, $wM)) {
            goto kTe;
        }
        throw new BadMethodCallException("\x4d\x69\x73\163\x69\156\147\x20\x74\150\145\40\146\x69\x72\x73\164\x20\141\162\x67\x75\x6d\145\156\x74\x2e");
        kTe:
        if (!(null === $wM[0])) {
            goto ZK8;
        }
        return true;
        ZK8:
        $ya = \substr($ya, 6);
        return \call_user_func_array(array(\get_called_class(), $ya), $wM);
        nYo:
        if (!(0 === \strpos($ya, "\x61\154\154"))) {
            goto nYv;
        }
        if (\array_key_exists(0, $wM)) {
            goto oTr;
        }
        throw new BadMethodCallException("\115\151\163\163\151\156\x67\40\164\150\x65\x20\146\151\162\x73\164\40\141\x72\147\165\x6d\145\x6e\164\56");
        oTr:
        static::isTraversable($wM[0]);
        $ya = \substr($ya, 3);
        $rF = \array_shift($wM);
        $Vl = \get_called_class();
        foreach ($rF as $QF) {
            \call_user_func_array(array($Vl, $ya), \array_merge(array($QF), $wM));
            K7t:
        }
        bUy:
        return true;
        nYv:
        throw new BadMethodCallException("\x4e\x6f\40\141\163\163\x65\x72\164\151\157\x6e\x20\x41\x73\x73\145\162\x74\151\x6f\156\43" . $ya . "\40\145\170\x69\x73\164\x73\56");
    }
    public static function choicesNotEmpty(array $rF, array $i4, $I3 = null, $kl = null)
    {
        static::notEmpty($rF, $I3, $kl);
        foreach ($i4 as $wt) {
            static::notEmptyKey($rF, $wt, $I3, $kl);
            qkr:
        }
        hD0:
        return true;
    }
    public static function methodExists($QF, $te, $I3 = null, $kl = null)
    {
        static::isObject($te, $I3, $kl);
        if (\method_exists($te, $QF)) {
            goto r7Z;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\105\x78\160\145\x63\164\x65\144\40\42\45\x73\x22\40\144\x6f\x65\163\40\x6e\157\164\40\145\x78\151\163\x74\40\x69\156\x20\160\162\157\x76\151\x64\145\x64\40\157\142\x6a\145\x63\164\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_METHOD, $kl, array("\x6f\142\152\145\x63\x74" => \get_class($te)));
        r7Z:
        return true;
    }
    public static function isObject($QF, $I3 = null, $kl = null)
    {
        if (\is_object($QF)) {
            goto g7O;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\162\x6f\x76\x69\144\x65\x64\40\x22\x25\x73\42\x20\x69\x73\40\x6e\x6f\164\x20\141\x20\x76\x61\154\151\x64\40\157\142\152\x65\143\x74\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_OBJECT, $kl);
        g7O:
        return true;
    }
    public static function lessThan($QF, $iA, $I3 = null, $kl = null)
    {
        if (!($QF >= $iA)) {
            goto eO0;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\x72\x6f\166\151\x64\145\x64\40\x22\45\x73\42\x20\151\163\40\x6e\157\164\40\154\145\163\163\40\x74\150\141\x6e\40\x22\45\163\x22\x2e"), static::stringify($QF), static::stringify($iA));
        throw static::createException($QF, $I3, static::INVALID_LESS, $kl, array("\154\151\x6d\x69\x74" => $iA));
        eO0:
        return true;
    }
    public static function lessOrEqualThan($QF, $iA, $I3 = null, $kl = null)
    {
        if (!($QF > $iA)) {
            goto nbZ;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x50\162\157\166\x69\x64\x65\x64\40\42\x25\x73\42\40\x69\163\40\156\x6f\164\x20\154\145\163\163\40\x6f\x72\x20\145\x71\165\141\x6c\40\x74\150\141\x6e\40\42\x25\163\42\56"), static::stringify($QF), static::stringify($iA));
        throw static::createException($QF, $I3, static::INVALID_LESS_OR_EQUAL, $kl, array("\154\151\155\151\x74" => $iA));
        nbZ:
        return true;
    }
    public static function greaterThan($QF, $iA, $I3 = null, $kl = null)
    {
        if (!($QF <= $iA)) {
            goto GJf;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\162\x6f\166\151\144\x65\x64\40\42\x25\163\x22\40\151\163\40\x6e\157\x74\40\147\162\x65\x61\x74\145\162\x20\164\x68\141\x6e\x20\x22\45\x73\x22\x2e"), static::stringify($QF), static::stringify($iA));
        throw static::createException($QF, $I3, static::INVALID_GREATER, $kl, array("\x6c\151\x6d\x69\164" => $iA));
        GJf:
        return true;
    }
    public static function greaterOrEqualThan($QF, $iA, $I3 = null, $kl = null)
    {
        if (!($QF < $iA)) {
            goto vpo;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\162\157\166\x69\144\145\144\40\42\x25\x73\x22\40\151\x73\40\x6e\x6f\164\x20\147\162\145\x61\164\145\x72\x20\x6f\162\40\x65\161\x75\x61\154\x20\x74\150\x61\x6e\40\42\45\163\x22\x2e"), static::stringify($QF), static::stringify($iA));
        throw static::createException($QF, $I3, static::INVALID_GREATER_OR_EQUAL, $kl, array("\154\151\155\x69\164" => $iA));
        vpo:
        return true;
    }
    public static function between($QF, $Yi, $T4, $I3 = null, $kl = null)
    {
        if (!($Yi > $QF || $QF > $T4)) {
            goto ati;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\x72\157\x76\x69\x64\145\144\40\x22\x25\163\x22\x20\151\163\x20\156\145\151\x74\150\145\162\40\x67\162\145\x61\164\145\162\x20\164\x68\141\x6e\x20\x6f\162\x20\x65\161\165\141\x6c\40\164\x6f\x20\x22\x25\x73\x22\40\156\x6f\162\40\154\145\163\163\40\164\x68\141\156\x20\157\162\x20\x65\161\x75\141\x6c\40\x74\157\40\42\45\x73\42\x2e"), static::stringify($QF), static::stringify($Yi), static::stringify($T4));
        throw static::createException($QF, $I3, static::INVALID_BETWEEN, $kl, array("\154\x6f\x77\x65\162" => $Yi, "\x75\160\160\x65\162" => $T4));
        ati:
        return true;
    }
    public static function betweenExclusive($QF, $Yi, $T4, $I3 = null, $kl = null)
    {
        if (!($Yi >= $QF || $QF >= $T4)) {
            goto B2R;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\x72\157\x76\151\x64\x65\144\x20\42\x25\x73\42\40\151\x73\40\156\145\x69\x74\x68\x65\x72\40\147\x72\x65\x61\x74\x65\x72\40\164\x68\141\x6e\x20\x22\45\163\x22\40\x6e\157\162\x20\154\145\163\x73\x20\164\150\141\156\40\42\x25\163\42\56"), static::stringify($QF), static::stringify($Yi), static::stringify($T4));
        throw static::createException($QF, $I3, static::INVALID_BETWEEN_EXCLUSIVE, $kl, array("\154\x6f\x77\145\162" => $Yi, "\165\160\x70\x65\x72" => $T4));
        B2R:
        return true;
    }
    public static function extensionLoaded($QF, $I3 = null, $kl = null)
    {
        if (\extension_loaded($QF)) {
            goto iJ6;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x45\x78\x74\145\156\163\x69\157\x6e\40\42\45\x73\42\40\151\x73\40\162\x65\161\165\151\162\x65\x64\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_EXTENSION, $kl);
        iJ6:
        return true;
    }
    public static function date($QF, $i6, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        static::string($i6, $I3, $kl);
        $fB = \DateTime::createFromFormat("\41" . $i6, $QF);
        if (!(false === $fB || $QF !== $fB->format($i6))) {
            goto ac1;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x44\141\164\x65\x20\x22\45\x73\42\40\x69\x73\x20\151\156\166\x61\x6c\x69\x64\40\x6f\x72\x20\144\x6f\x65\163\x20\156\x6f\x74\x20\155\141\x74\x63\x68\40\146\x6f\x72\x6d\x61\x74\40\x22\45\163\42\x2e"), static::stringify($QF), static::stringify($i6));
        throw static::createException($QF, $I3, static::INVALID_DATE, $kl, array("\x66\157\x72\155\x61\164" => $i6));
        ac1:
        return true;
    }
    public static function objectOrClass($QF, $I3 = null, $kl = null)
    {
        if (\is_object($QF)) {
            goto wMg;
        }
        static::classExists($QF, $I3, $kl);
        wMg:
        return true;
    }
    public static function propertyExists($QF, $B9, $I3 = null, $kl = null)
    {
        static::objectOrClass($QF);
        if (\property_exists($QF, $B9)) {
            goto T4i;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x43\154\141\163\163\x20\42\45\163\x22\40\x64\x6f\145\x73\x20\156\x6f\x74\40\150\x61\x76\x65\x20\160\x72\x6f\160\x65\x72\x74\171\x20\x22\45\x73\42\56"), static::stringify($QF), static::stringify($B9));
        throw static::createException($QF, $I3, static::INVALID_PROPERTY, $kl, array("\160\x72\157\160\x65\x72\164\171" => $B9));
        T4i:
        return true;
    }
    public static function propertiesExist($QF, array $Cz, $I3 = null, $kl = null)
    {
        static::objectOrClass($QF);
        static::allString($Cz, $I3, $kl);
        $ZO = array();
        foreach ($Cz as $B9) {
            if (\property_exists($QF, $B9)) {
                goto v0O;
            }
            $ZO[] = $B9;
            v0O:
            FBH:
        }
        tDF:
        if (!$ZO) {
            goto esD;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\103\154\141\x73\x73\x20\x22\45\x73\x22\40\144\157\x65\163\x20\x6e\x6f\x74\40\x68\x61\166\145\40\x74\150\145\163\145\x20\x70\x72\x6f\160\x65\x72\x74\151\145\x73\72\x20\x25\x73\x2e"), static::stringify($QF), static::stringify(\implode("\54\x20", $ZO)));
        throw static::createException($QF, $I3, static::INVALID_PROPERTY, $kl, array("\x70\x72\157\160\145\x72\164\151\145\163" => $Cz));
        esD:
        return true;
    }
    public static function version($yE, $Bv, $kc, $I3 = null, $kl = null)
    {
        static::notEmpty($Bv, "\x76\145\162\x73\151\157\x6e\103\x6f\155\x70\x61\162\145\x20\157\160\145\162\141\164\157\162\x20\x69\x73\x20\162\x65\x71\165\x69\x72\145\x64\x20\141\x6e\144\40\143\141\156\x6e\x6f\164\40\x62\145\40\x65\x6d\160\164\171\56");
        if (!(true !== \version_compare($yE, $kc, $Bv))) {
            goto EBC;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\145\162\x73\151\157\156\40\x22\45\163\x22\40\x69\163\40\156\x6f\x74\x20\x22\45\163\42\40\x76\145\x72\163\151\157\x6e\40\42\45\x73\x22\56"), static::stringify($yE), static::stringify($Bv), static::stringify($kc));
        throw static::createException($yE, $I3, static::INVALID_VERSION, $kl, array("\157\160\x65\x72\x61\x74\157\x72" => $Bv, "\166\x65\x72\x73\x69\x6f\156" => $kc));
        EBC:
        return true;
    }
    public static function phpVersion($Bv, $cV, $I3 = null, $kl = null)
    {
        static::defined("\x50\110\x50\137\x56\x45\122\123\x49\x4f\116");
        return static::version(PHP_VERSION, $Bv, $cV, $I3, $kl);
    }
    public static function extensionVersion($YH, $Bv, $cV, $I3 = null, $kl = null)
    {
        static::extensionLoaded($YH, $I3, $kl);
        return static::version(\phpversion($YH), $Bv, $cV, $I3, $kl);
    }
    public static function isCallable($QF, $I3 = null, $kl = null)
    {
        if (\is_callable($QF)) {
            goto YPq;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\x72\x6f\166\151\x64\145\x64\x20\42\x25\163\x22\x20\x69\163\40\x6e\157\164\40\x61\x20\x63\141\154\154\141\x62\x6c\145\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_CALLABLE, $kl);
        YPq:
        return true;
    }
    public static function satisfy($QF, $xM, $I3 = null, $kl = null)
    {
        static::isCallable($xM);
        if (!(false === \call_user_func($xM, $QF))) {
            goto B_b;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\120\162\x6f\x76\x69\144\x65\144\40\x22\x25\x73\x22\40\x69\x73\40\x69\156\166\x61\154\151\x64\x20\141\x63\143\157\x72\144\x69\x6e\x67\x20\164\157\40\143\x75\163\164\157\155\x20\x72\165\154\x65\x2e"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_SATISFY, $kl);
        B_b:
        return true;
    }
    public static function ip($QF, $LS = null, $I3 = null, $kl = null)
    {
        static::string($QF, $I3, $kl);
        if (\filter_var($QF, FILTER_VALIDATE_IP, $LS)) {
            goto Zhy;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\141\154\165\x65\x20\42\x25\163\x22\x20\167\141\x73\40\145\170\x70\145\143\164\x65\144\x20\x74\x6f\x20\142\145\x20\141\x20\x76\141\x6c\x69\144\40\111\x50\40\141\x64\144\x72\145\163\x73\56"), static::stringify($QF));
        throw static::createException($QF, $I3, static::INVALID_IP, $kl, array("\x66\154\x61\147" => $LS));
        Zhy:
        return true;
    }
    public static function ipv4($QF, $LS = null, $I3 = null, $kl = null)
    {
        static::ip($QF, $LS | FILTER_FLAG_IPV4, static::generateMessage($I3 ?: "\126\141\154\165\x65\x20\42\45\x73\42\40\x77\141\163\x20\145\170\160\x65\143\164\145\x64\40\x74\157\40\x62\145\x20\x61\40\x76\x61\154\151\x64\40\x49\120\166\x34\40\x61\144\144\x72\145\x73\x73\56"), $kl);
        return true;
    }
    public static function ipv6($QF, $LS = null, $I3 = null, $kl = null)
    {
        static::ip($QF, $LS | FILTER_FLAG_IPV6, static::generateMessage($I3 ?: "\x56\x61\x6c\x75\145\40\42\45\163\x22\40\167\x61\x73\x20\x65\x78\160\x65\x63\x74\145\x64\40\x74\157\40\x62\x65\40\141\x20\x76\141\x6c\151\144\x20\111\120\x76\x36\x20\x61\x64\x64\x72\145\163\x73\x2e"), $kl);
        return true;
    }
    protected static function stringify($QF)
    {
        $z6 = \gettype($QF);
        if (\is_bool($QF)) {
            goto s3O;
        }
        if (\is_scalar($QF)) {
            goto oG4;
        }
        if (\is_array($QF)) {
            goto TW6;
        }
        if (\is_object($QF)) {
            goto Rli;
        }
        if (\is_resource($QF)) {
            goto yaj;
        }
        if (null === $QF) {
            goto OuH;
        }
        goto v9f;
        s3O:
        $z6 = $QF ? "\x3c\124\x52\125\105\x3e" : "\74\106\x41\114\123\x45\x3e";
        goto v9f;
        oG4:
        $ZF = (string) $QF;
        if (!(\strlen($ZF) > 100)) {
            goto Z7P;
        }
        $ZF = \substr($ZF, 0, 97) . "\56\56\x2e";
        Z7P:
        $z6 = $ZF;
        goto v9f;
        TW6:
        $z6 = "\74\x41\x52\122\x41\131\x3e";
        goto v9f;
        Rli:
        $z6 = \get_class($QF);
        goto v9f;
        yaj:
        $z6 = \get_resource_type($QF);
        goto v9f;
        OuH:
        $z6 = "\74\x4e\x55\114\114\76";
        v9f:
        return $z6;
    }
    public static function defined($J4, $I3 = null, $kl = null)
    {
        if (\defined($J4)) {
            goto b46;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\126\x61\x6c\x75\x65\40\x22\45\163\42\x20\145\170\160\145\x63\164\145\144\x20\164\x6f\40\x62\145\40\x61\40\x64\145\146\151\156\145\144\x20\x63\157\x6e\163\x74\x61\156\164\56"), $J4);
        throw static::createException($J4, $I3, static::INVALID_CONSTANT, $kl);
        b46:
        return true;
    }
    public static function base64($QF, $I3 = null, $kl = null)
    {
        if (!(false === \base64_decode($QF, true))) {
            goto zWW;
        }
        $I3 = \sprintf(static::generateMessage($I3 ?: "\x56\x61\x6c\165\145\x20\x22\45\163\42\x20\x69\x73\40\156\157\x74\40\141\40\166\141\154\151\144\40\x62\x61\x73\145\66\64\40\163\164\x72\151\x6e\x67\56"), $QF);
        throw static::createException($QF, $I3, static::INVALID_BASE64, $kl);
        zWW:
        return true;
    }
    protected static function generateMessage($I3 = null)
    {
        if (!\is_callable($I3)) {
            goto vh_;
        }
        $qE = \debug_backtrace(0);
        $zq = array();
        $G8 = new \ReflectionClass($qE[1]["\143\x6c\141\x73\x73"]);
        $ya = $G8->getMethod($qE[1]["\x66\x75\x6e\143\x74\x69\157\x6e"]);
        foreach ($ya->getParameters() as $Ab => $vc) {
            if (!("\155\x65\163\x73\141\x67\x65" !== $vc->getName())) {
                goto lQ_;
            }
            $zq[$vc->getName()] = \array_key_exists($Ab, $qE[1]["\x61\x72\147\163"]) ? $qE[1]["\x61\162\147\x73"][$Ab] : $vc->getDefaultValue();
            lQ_:
            DAw:
        }
        eH_:
        $zq["\72\72\x61\163\163\145\162\x74\151\x6f\x6e"] = \sprintf("\x25\x73\45\163\45\163", $qE[1]["\143\154\141\x73\163"], $qE[1]["\x74\171\x70\145"], $qE[1]["\x66\165\x6e\143\164\x69\157\156"]);
        $I3 = \call_user_func_array($I3, array($zq));
        vh_:
        return \is_null($I3) ? null : (string) $I3;
    }
}
